### Function

# Gtk.TreeRowReference.new

#### Declaration [src]

    GtkTreeRowReference*
    gtk_tree_row_reference_new (
      GtkTreeModel* model,
      GtkTreePath* path
    )

#### Description [src]

Creates a row reference based on `path`.

This reference will keep pointing to the node pointed to by `path`, so long as it exists. Any changes that occur on `model` are propagated, and the path is updated appropriately. If `path` isn’t a valid path in `model`, then `NULL` is returned.

#### Parameters

`model` | `GtkTreeModel`
| a `GtkTreeModel`
| Ownership is not transferred to the callee
`path` | `GtkTreePath`
| a valid `GtkTreePath`-struct to monitor
| Ownership is not transferred to the callee

#### Return value

Returns: `GtkTreeRowReference`
a newly allocated `GtkTreeRowReference`, or `NULL`
Ownership of the data is transferred to the caller
Can be `NULL`